# Form implementation generated from reading ui file 'src/eric7/Preferences/ViewProfileToolboxesDialog.ui'
#
# Created by: PyQt6 UI code generator 6.7.0
#
# WARNING: Any manual changes made to this file will be lost when pyuic6 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt6 import QtCore, QtGui, QtWidgets


class Ui_ViewProfileToolboxesDialog(object):
    def setupUi(self, ViewProfileToolboxesDialog):
        ViewProfileToolboxesDialog.setObjectName("ViewProfileToolboxesDialog")
        ViewProfileToolboxesDialog.resize(608, 177)
        ViewProfileToolboxesDialog.setSizeGripEnabled(True)
        self.gridLayout = QtWidgets.QGridLayout(ViewProfileToolboxesDialog)
        self.gridLayout.setObjectName("gridLayout")
        self.textLabel1 = QtWidgets.QLabel(parent=ViewProfileToolboxesDialog)
        self.textLabel1.setAlignment(QtCore.Qt.AlignmentFlag.AlignVCenter)
        self.textLabel1.setObjectName("textLabel1")
        self.gridLayout.addWidget(self.textLabel1, 0, 0, 1, 2)
        self.editGroup = QtWidgets.QGroupBox(parent=ViewProfileToolboxesDialog)
        self.editGroup.setObjectName("editGroup")
        self.verticalLayout_2 = QtWidgets.QVBoxLayout(self.editGroup)
        self.verticalLayout_2.setObjectName("verticalLayout_2")
        self.epltCheckBox = QtWidgets.QCheckBox(parent=self.editGroup)
        self.epltCheckBox.setChecked(True)
        self.epltCheckBox.setObjectName("epltCheckBox")
        self.verticalLayout_2.addWidget(self.epltCheckBox)
        self.eprtCheckBox = QtWidgets.QCheckBox(parent=self.editGroup)
        self.eprtCheckBox.setChecked(True)
        self.eprtCheckBox.setObjectName("eprtCheckBox")
        self.verticalLayout_2.addWidget(self.eprtCheckBox)
        self.ephtCheckBox = QtWidgets.QCheckBox(parent=self.editGroup)
        self.ephtCheckBox.setChecked(True)
        self.ephtCheckBox.setObjectName("ephtCheckBox")
        self.verticalLayout_2.addWidget(self.ephtCheckBox)
        self.gridLayout.addWidget(self.editGroup, 1, 0, 1, 1)
        self.debugGroup = QtWidgets.QGroupBox(parent=ViewProfileToolboxesDialog)
        self.debugGroup.setObjectName("debugGroup")
        self.verticalLayout = QtWidgets.QVBoxLayout(self.debugGroup)
        self.verticalLayout.setObjectName("verticalLayout")
        self.dpltCheckBox = QtWidgets.QCheckBox(parent=self.debugGroup)
        self.dpltCheckBox.setObjectName("dpltCheckBox")
        self.verticalLayout.addWidget(self.dpltCheckBox)
        self.dprtCheckBox = QtWidgets.QCheckBox(parent=self.debugGroup)
        self.dprtCheckBox.setChecked(True)
        self.dprtCheckBox.setObjectName("dprtCheckBox")
        self.verticalLayout.addWidget(self.dprtCheckBox)
        self.dphtCheckBox = QtWidgets.QCheckBox(parent=self.debugGroup)
        self.dphtCheckBox.setChecked(True)
        self.dphtCheckBox.setObjectName("dphtCheckBox")
        self.verticalLayout.addWidget(self.dphtCheckBox)
        self.gridLayout.addWidget(self.debugGroup, 1, 1, 1, 1)
        self.buttonBox = QtWidgets.QDialogButtonBox(parent=ViewProfileToolboxesDialog)
        self.buttonBox.setOrientation(QtCore.Qt.Orientation.Horizontal)
        self.buttonBox.setStandardButtons(QtWidgets.QDialogButtonBox.StandardButton.Cancel|QtWidgets.QDialogButtonBox.StandardButton.Ok)
        self.buttonBox.setObjectName("buttonBox")
        self.gridLayout.addWidget(self.buttonBox, 2, 0, 1, 2)

        self.retranslateUi(ViewProfileToolboxesDialog)
        self.buttonBox.accepted.connect(ViewProfileToolboxesDialog.accept) # type: ignore
        self.buttonBox.rejected.connect(ViewProfileToolboxesDialog.reject) # type: ignore
        QtCore.QMetaObject.connectSlotsByName(ViewProfileToolboxesDialog)
        ViewProfileToolboxesDialog.setTabOrder(self.epltCheckBox, self.eprtCheckBox)
        ViewProfileToolboxesDialog.setTabOrder(self.eprtCheckBox, self.ephtCheckBox)
        ViewProfileToolboxesDialog.setTabOrder(self.ephtCheckBox, self.dpltCheckBox)
        ViewProfileToolboxesDialog.setTabOrder(self.dpltCheckBox, self.dprtCheckBox)
        ViewProfileToolboxesDialog.setTabOrder(self.dprtCheckBox, self.dphtCheckBox)
        ViewProfileToolboxesDialog.setTabOrder(self.dphtCheckBox, self.buttonBox)

    def retranslateUi(self, ViewProfileToolboxesDialog):
        _translate = QtCore.QCoreApplication.translate
        ViewProfileToolboxesDialog.setWindowTitle(_translate("ViewProfileToolboxesDialog", "Configure View Profiles"))
        self.textLabel1.setText(_translate("ViewProfileToolboxesDialog", "Select the windows, that should be visible, when the different profiles are active."))
        self.editGroup.setTitle(_translate("ViewProfileToolboxesDialog", "&Edit Profile"))
        self.epltCheckBox.setText(_translate("ViewProfileToolboxesDialog", "Left Toolbox"))
        self.eprtCheckBox.setText(_translate("ViewProfileToolboxesDialog", "Right Toolbox"))
        self.ephtCheckBox.setText(_translate("ViewProfileToolboxesDialog", "Horizontal Toolbox"))
        self.debugGroup.setTitle(_translate("ViewProfileToolboxesDialog", "&Debug Profile"))
        self.dpltCheckBox.setText(_translate("ViewProfileToolboxesDialog", "Left Toolbox"))
        self.dprtCheckBox.setText(_translate("ViewProfileToolboxesDialog", "Right Toolbox"))
        self.dphtCheckBox.setText(_translate("ViewProfileToolboxesDialog", "Horizontal Toolbox"))
